# frozen_string_literal: true

Gem::Specification.new do |spec|
  spec.name          = "jekyll-theme-isabelline"
  spec.version       = "0.1.1"
  spec.authors       = ["Rouslan Zenetl"]
  spec.email         = ["rzenetl@gmail.com"]

  spec.summary       = "Simple clean theme for long form blogging."
  spec.homepage      = "https://github.com/rzen/jekyll-theme-isabelline"
  spec.license       = "MIT"

  spec.metadata["plugin_type"] = "theme"

  spec.files         = `git ls-files -z`.split("\x0").select do |f|
    print f
    f.match(%r!^(assets|_(includes|layouts|sass)/|(LICENSE|README)((\.(txt|md|markdown)|$)))!i)
    # f.match(%r!^(assets|_(layouts|includes|sass|blog|)|LICENSE|README)!i)
  end

  # spec.files = `git ls-files -z`.split("\x0").select do |f|
  #   f.match(%r!^(assets|_(includes|layouts|sass)/|(LICENSE|README)((\.(txt|md|markdown)|$)))!i)
  # end

  spec.add_runtime_dependency "jekyll", ">= 3.5", "< 5.0"  # TODO

  spec.add_development_dependency "bundler"
  # spec.add_development_dependency "rake", "~> 12.0"
end